# Module `Hover`

Component to handle hover node interaction

## Functions

init(self, node, on_hover_callback) | Component init function
is_enabled(self) | Return current hover enabled state
set_click_zone(self, zone) | Strict hover click area.
set_enabled(self, state) | Set enable state of hover component.
set_hover(self, state) | Set hover state
set_mouse_hover(self, state) | Set mouse hover state

## Fields

on_hover | On hover callback(self, state)
on_mouse_hover | On mouse hover callback(self, state)

## Functions

init(self, node, on_hover_callback)
  Component init function

  ### Parameters:

  - self Hover Hover
  - node node Gui node
  - on_hover_callback function Hover callback
is_enabled(self)
  Return current hover enabled state

  ### Parameters:

  - self Hover Hover

  ### Returns:

  bool The hover enabled state
set_click_zone(self, zone)
  Strict hover click area. Useful for no click events outside stencil node

  ### Parameters:

  - self Hover Hover
  - zone node Gui node
set_enabled(self, state)
  Set enable state of hover component. If hover is not enabled, it will not generate any hover events

  ### Parameters:

  - self Hover Hover
  - state bool The hover enabled state
set_hover(self, state)
  Set hover state

  ### Parameters:

  - self Hover Hover
  - state bool The hover state
set_mouse_hover(self, state)
  Set mouse hover state

  ### Parameters:

  - self Hover Hover
  - state bool The mouse hover state

## Fields

on_hover
  On hover callback(self, state)
  - on_hover DruidEvent DruidEvent
on_mouse_hover
  On mouse hover callback(self, state)
  - on_mouse_hover DruidEvent DruidEvent

generated by LDoc TESTING Last updated 2015-01-01 12:00:00